Bug 1288426 - /etc/tmpfiles.d/python.conf shipped when /etc/tmpfiles.d is reserved for the local administrator
/etc/tmpfiles.d/python.conf shipped when /etc/tmpfiles.d is reserved for the ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Charalampos Stratakis
Branislav Náter
: EasyFix
: 1294317 (view as bug list)
Depends On: 1305230
Blocks: 1283777
  Show dependency treegraph
 
Reported: 2015-12-04 02:52 EST by Jan Pazdziora
Modified: 2016-11-03 16:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-2.7.5-43.el7
Doc Type: Bug Fix
Doc Text:
Cause: Package python-libs ships /etc/tmpfiles.d/python.conf Consequence: Shipping package content for /etc/tmpfiles.d complicates containerization when it's important to distinguish software and configuration/data, and when rpm upgrade mechanism for config files is not available because no rpm upgrade happen there Fix: Move python.conf file from /etc/tmpfiles.d to /usr/lib/tmpfiles.d Result: python.conf is in /usr/lib/tmpfiles.d
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:15:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-12-04 02:52:35 EST
Description of problem:

Package python-libs ships /etc/tmpfiles.d/python.conf.

Man page tmpfiles.d(5) says:

       Files in /etc/tmpfiles.d override files with the same name in
       /usr/lib/tmpfiles.d and /run/tmpfiles.d. Files in /run/tmpfiles.d
       override files with the same name in /usr/lib/tmpfiles.d. Packages
       should install their configuration files in /usr/lib/tmpfiles.d. Files
       in /etc/tmpfiles.d are reserved for the local administrator, who may
       use this logic to override the configuration files installed by vendor
       packages.

Version-Release number of selected component (if applicable):

python-libs-2.7.5-34.el7.x86_64

How reproducible:

Deterministic

Steps to Reproduce:
1. yum install -y python-libs
2. rpm -qf /etc/tmpfiles.d/python.conf

Actual results:

python-libs-2.7.5-34.el7.x86_64

Expected results:

error: file /etc/tmpfiles.d/python.conf: No such file or directory

Additional info:

Shipping package content for /etc/tmpfiles.d complicates containerization when it's important to distinguish software and configuration/data, and when rpm upgrade mechanism for config files is not available because no rpm upgrade happen there.
Comment 1 Robert Kuska 2016-01-18 03:03:33 EST
*** Bug 1294317 has been marked as a duplicate of this bug. ***
Comment 7 errata-xmlrpc 2016-11-03 16:15:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2586.html

Note You need to log in before you can comment on or make changes to this bug.